//
//  SecondViewController.m
//  iPadPageControl
//
//  Created by five march on 2/7/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import "SecondViewControllerP.h"
#import "MyViewControllerP.h"
#import "MyViewLandscapeP.h"

@implementation SecondViewControllerP

 @synthesize viewControllerPortrait, viewControllerLandscape, nibFileNumber;
// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.



- (void)viewDidLoad {
    [super viewDidLoad];
	
 
	self.nibFileNumber = 1;
	
	MyViewLandscapeP *controller1 = [[MyViewLandscapeP alloc] initWithPageNumber:nibFileNumber];
	self.viewControllerLandscape = controller1;
	//[self.view addSubview: controller1.view];
	//[controller1 release];
	
	MyViewControllerP *controller = [[MyViewControllerP alloc] initWithPageNumber:nibFileNumber];
	self.viewControllerPortrait = controller;
	[self.view addSubview: controller.view];
	//[controller release];
	
	[self findNumberedNIBFile:nibFileNumber ];
 
	
	 AppDelegate *appDelegate = ( AppDelegate*)[[UIApplication sharedApplication] delegate];
	if( appDelegate.shouldRotate == YES ){
		[[UIDevice currentDevice] beginGeneratingDeviceOrientationNotifications];
		[[NSNotificationCenter defaultCenter] addObserver:self selector:@selector(orientationChanged:)
													 name:UIDeviceOrientationDidChangeNotification object:nil];
	}else {
		MyViewControllerP *controller = [[MyViewControllerP alloc] initWithPageNumber:nibFileNumber];
		self.viewControllerPortrait = controller;
		[self.view addSubview: controller.view];
		//[controller release];
	}
}
/*
- (void)loadView
	{
		NSLog(@"loadView %d", nibFileNumber );
		[self findNumberedNIBFile:nibFileNumber ];
	}
 */

-(void) findNumberedNIBFile: (NSInteger) page
{
	NSLog(@"fileNumber %d", page );
	UIDeviceOrientation deviceOrientation = [UIDevice currentDevice].orientation;
	
	[viewControllerPortrait.view removeFromSuperview];
	[viewControllerLandscape.view removeFromSuperview];
	
	if (UIDeviceOrientationIsLandscape(deviceOrientation)  )
	{
	 
		MyViewLandscapeP *controller = [[MyViewLandscapeP alloc] initWithPageNumber:page];
		self.viewControllerLandscape = controller;
		[self.view addSubview: controller.view];
		//[controller release];
		
	}
	else if (deviceOrientation == UIDeviceOrientationPortrait  )
	{
		 
		MyViewControllerP *controller = [[MyViewControllerP alloc] initWithPageNumber:page];
		self.viewControllerPortrait = controller;
		[self.view addSubview: controller.view];
		//[controller release];
	}   
}

- (void)orientationChanged:(NSNotification *)notification
{
	AppDelegate *appDelegate = (AppDelegate*)[[UIApplication sharedApplication] delegate];
	if( appDelegate.shouldRotate == YES ){
		
	[self findNumberedNIBFile:nibFileNumber ];
		
	}
}
 
 

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Overriden to allow any orientation.
	
	AppDelegate *appDelegate = (AppDelegate*)[[UIApplication sharedApplication] delegate];
    return appDelegate.shouldRotate;
}

- (void)didReceiveMemoryWarning {
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}


- (void)dealloc {
   // [super dealloc];
}

@end
