//
//  ShakingViewController.m
//  Shaking
//
//  Created by five march on 1/10/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import "ShakingViewController.h"

@implementation ShakingViewController

@synthesize imageOnBackGround, mainlabel, myHeighHit, myLowHit, timerCounter, baseView, backgroundViewController;
@synthesize delayTimer, mainTimer, bounceDelayFlag, whichViewController, segmentedControl;
@synthesize firstViewController, secondViewController, thirdViewController, fourthViewController;
@synthesize startNumber;

- (void)onTimerDelay  {
	
	bounceDelayFlag = FALSE;
	NSLog(@"delayTimer");
	
	 AppDelegate *appDelegate = ( AppDelegate*)[[UIApplication sharedApplication] delegate];
	
	[firstViewController.view removeFromSuperview];
	[secondViewController.view removeFromSuperview];
	[thirdViewController.view removeFromSuperview];
	[fourthViewController.view removeFromSuperview];
	
	switch(whichViewController)
	{
		case 0:
			[appDelegate.soundEngine playSound : @"plik" ];
			
			break;
		case 1:
			[appDelegate.soundEngine playSound : @"plik" ];
			
			break;
		case 2:
			[appDelegate.soundEngine playSound : @"plik" ];
			
			break;
		case 3:
			[appDelegate.soundEngine playSound : @"plik" ];
			
			break;
			
	}
}

- (void)onTimerMain { //looping during play
	
    imageOnBackGround.frame = CGRectMake(self.view.bounds.size.width/2 + 150*accelerationX -45 ,
                                         self.view.bounds.size.height/2 -200*accelerationY  -65,
                                         imageOnBackGround.bounds.size.width,
                                         imageOnBackGround.bounds.size.height );
    
    //NSLog(@"tilt %f %f",accelerationX,accelerationY);//-1.75 +1.75, -1.75 +1.75
    
     AppDelegate *appDelegate = ( AppDelegate*)[[UIApplication sharedApplication] delegate];
    
    if ( (1 == 1) && (bounceDelayFlag == FALSE) ){
        if (accelerationX > 1.00 )
        {
            
            [appDelegate.soundEngine playSound : @"plik" ] ;
            myHeighHit++;
            
            delayTimer = [NSTimer scheduledTimerWithTimeInterval: 1.0 target:self selector:@selector(onTimerDelay) userInfo:nil repeats:NO];
            bounceDelayFlag = TRUE;
            NSLog(@"right" );
            [self.view addSubview:fourthViewController.view ];
           
            
        }
        else if (accelerationX <-1.00 )
        {
            
            [appDelegate.soundEngine playSound : @"plik" ];
            myLowHit++;
            
            delayTimer = [NSTimer scheduledTimerWithTimeInterval: 1.0 target:self selector:@selector(onTimerDelay) userInfo:nil repeats:NO];
            bounceDelayFlag = TRUE;
            NSLog(@"left" );
            [self.view addSubview:thirdViewController.view ];
            
            
        }
        
        else if (accelerationY > 1.00 )
        {
            if ( bounceDelayFlag == FALSE  ){
                [appDelegate.soundEngine playSound : @"plik" ];
                myLowHit++;
                
                [NSTimer scheduledTimerWithTimeInterval: 1.0 target:self selector:@selector(onTimerDelay) userInfo:nil repeats:NO];
                bounceDelayFlag = TRUE;
                NSLog(@"up" );
                [self.view addSubview:firstViewController.view ];
           
            }
        }
        else if (accelerationY < -1.00 )
        {
            if ( bounceDelayFlag == FALSE  ){
                [appDelegate.soundEngine playSound : @"plik" ];
                myLowHit++;
                
                [NSTimer scheduledTimerWithTimeInterval: 1.0 target:self selector:@selector(onTimerDelay) userInfo:nil repeats:NO];
                bounceDelayFlag = TRUE;
                NSLog(@"down" );
                [self.view addSubview:secondViewController.view ];
             
            }
	}
	}
	
														  
	//NSString *myHitString1 = [@" " stringByAppendingString: [NSString stringWithFormat:@"%d", myHeighHit]];											   
	//NSString *myHitString2 = [@" - " stringByAppendingString: [NSString stringWithFormat:@"%d", myLowHit]];												   
	//NSString *myHitString3 = [myHitString1 stringByAppendingString: myHitString2];					   
	
	//mainlabel.text = [@"shaking title\n"  stringByAppendingString: myHitString3];
 
	//	mainlabel.text = @"shaking title\n";
}

// UIAccelerometer delegate method, which delivers the latest acceleration data.
- (void)accelerometer:(UIAccelerometer *)accelerometer didAccelerate:(UIAcceleration *)acceleration {
	
    accelerationX = acceleration.x * 1 + accelerationX * (.5);
    accelerationY = acceleration.y * 1 + accelerationY * (.5);
	accelerationZ = acceleration.z * .8 + accelerationZ * (.5);
	
}

#define kMargin 25

-(void)addTextField1 {
	
	CGRect labelFrame = CGRectMake( kMargin, kMargin, self.view.bounds.size.width - 2*kMargin, 80);
	mainlabel = [[UILabel alloc] initWithFrame:labelFrame];
    
	mainlabel.textAlignment = UITextAlignmentCenter;
	mainlabel.numberOfLines = 0;
    mainlabel.text = @"crosslab wrist excersize";
    mainlabel.font =  [UIFont fontWithName: @"Arial" size: 22];
	
	
	mainlabel.textColor = [UIColor colorWithRed:240.0/255.0 green:100.0/255.0 blue:20.0/255.0 alpha:1.0];
    mainlabel.backgroundColor = [UIColor colorWithRed:10.0/255.0 green:10.0/255.0 blue:10.0/255.0 alpha:.2];//[UIColor clearColor];
	mainlabel.shadowColor =  [UIColor colorWithRed:10.0/255.0 green:10.0/255.0 blue:10.0/255.0 alpha:.5];
	//CGSize shadowSize = CGSizeMake(3.0, 3.0);
	//mainlabel.shadowOffset = shadowSize;
	
	//[self.view addSubview:mainlabel];
	//[label release];//UILabel releases itself, if you release it in code: crash!
}


-(void)addLogo {
	imageOnBackGround = [[UIImageView alloc] initWithImage: [UIImage imageNamed:@"crosslabPNG.png"] ];
 
	imageOnBackGround.center = CGPointMake(self.view.bounds.size.width/2, self.view.bounds.size.height/2 );
	
	[self.view addSubview:imageOnBackGround];
}


#define kSegmentedControlHeight 25
#define kyPlacementHorizontal  270 
 
// Implement loadView to create a view hierarchy programmatically, without using a nib.
- (void)loadView {
    
    [[UIDevice currentDevice] beginGeneratingDeviceOrientationNotifications];
    [[NSNotificationCenter defaultCenter] addObserver:self selector:@selector(orientationChanged:)
                                                 name:UIDeviceOrientationDidChangeNotification object:nil];
	
	baseView = [[UIView alloc] initWithFrame:[[UIScreen mainScreen] applicationFrame]];
	baseView.backgroundColor =  [UIColor colorWithRed:255.0 green:255.0 blue:0.0 alpha:1];
	self.view = baseView;
	
	Background *controller = [[Background alloc] init ];
	self.backgroundViewController = controller;
	[self.view addSubview: controller.view];
	
	//setting timer and UIAccelerometer
	mainTimer = [NSTimer scheduledTimerWithTimeInterval:1.0 / 30.0 target:self selector:@selector(onTimerMain) userInfo:nil repeats:YES];

	bounceDelayFlag = FALSE;
	
	[[UIAccelerometer sharedAccelerometer] setUpdateInterval:(.1)];
	[[UIAccelerometer sharedAccelerometer] setDelegate:self];
	
	myHeighHit = 0;
	myLowHit = 0;
	
	timerCounter = 0;
	
	CGRect pageViewFrame = CGRectMake( 0, 0, self.view.bounds.size.width ,self.view.bounds.size.height);// 

	FirstViewController *controller1 = [[FirstViewController alloc] init];
	self.firstViewController = controller1;
	controller1.view.frame = pageViewFrame;
 
	SecondViewController *controller2 = [[SecondViewController alloc] init];
	self.secondViewController = controller2;
	controller2.view.frame = pageViewFrame;
 	
	ThirdViewController *controller3 = [[ThirdViewController alloc] init];
	self.thirdViewController = controller3;
	controller3.view.frame = pageViewFrame;
 
	FourthViewController *controller4 = [[FourthViewController alloc] init];
	self.fourthViewController = controller4;
	controller4.view.frame = pageViewFrame;
 
	whichViewController = -1;
	[self createControls];
    

    
 startNumber = false;
  
}

-(void) viewDidLoad{
    
    [self addLogo];
	
	//if you want a tilt title:
	[self addTextField1];
 
}


- (void)orientationChanged:(NSNotification *)notification
{
	AppDelegate *appDelegate = (AppDelegate*)[[UIApplication sharedApplication] delegate];
	if( appDelegate.shouldRotate == YES ){
		
	UIDeviceOrientation deviceOrientation = [UIDevice currentDevice].orientation;

	if (UIDeviceOrientationIsLandscape(deviceOrientation)  )
	{
        if ( startNumber  == false ){
            CGRect frame = CGRectMake(	kMargin   , (self.view.bounds.size.height - (kMargin * 2.0)) , 
                                      (self.view.bounds.size.width - (kMargin * 2.0)) ,
                                      kSegmentedControlHeight);
            segmentedControl.frame = frame;
               startNumber = true;
        }
        else{
        
        CGRect frame = CGRectMake(	kMargin   , (self.view.bounds.size.width - (kMargin * 2.0)) , 
							  (self.view.bounds.size.height - (kMargin * 2.0)) ,
							  kSegmentedControlHeight);
        segmentedControl.frame = frame;
        }
	}
    else if ((deviceOrientation == UIDeviceOrientationPortrait) || (deviceOrientation == UIDeviceOrientationPortraitUpsideDown) )
    {
        
        NSLog(@"orientation portrait upside down"  );
        if ( startNumber  == false ){
		CGRect frame = CGRectMake(	kMargin   , 
								  self.view.bounds.size.height - (kMargin * 2.0), 
								   (self.view.bounds.size.width - (kMargin * 2.0)) ,
								  kSegmentedControlHeight);
		segmentedControl.frame = frame;
             startNumber = true;
        }
        else
        {
                CGRect frame = CGRectMake(	kMargin   , 
                                           self.view.bounds.size.width - (kMargin * 2.0), 
                                          (self.view.bounds.size.height - (kMargin * 2.0)) ,
                                          kSegmentedControlHeight);
                segmentedControl.frame = frame;
        }
	}  
	} 
}
 
 

- (void)createControls
{
	NSArray *segmentTextContent1 = [NSArray arrayWithObjects: @"up", @"down", @"left", @"right" , nil];


	CGRect frame = CGRectMake(	kMargin , kMargin , (self.view.bounds.size.width - (kMargin * 2.0)) , kSegmentedControlHeight);
	
	 segmentedControl = [[UISegmentedControl alloc] initWithItems:segmentTextContent1];
 
 	
	[segmentedControl addTarget:self action:@selector(setWhatToDo:) forControlEvents:UIControlEventValueChanged];
	segmentedControl.segmentedControlStyle = UISegmentedControlStyleBar;
	segmentedControl.tintColor = [UIColor colorWithRed:0.20 green:0.20 blue:0.5 alpha:1.0];
	
	[self.view addSubview:segmentedControl];
    
    segmentedControl.frame = frame;
	
      NSLog(@" createControls"  );
	
}

- (void)setWhatToDo:(id)sender
{
	int whatToDo = [sender selectedSegmentIndex];
	
	AppDelegate *appDelegate = (AppDelegate*)[[UIApplication sharedApplication] delegate];
	
	[NSTimer scheduledTimerWithTimeInterval: 1.0 target:self selector:@selector(onTimerDelay) userInfo:nil repeats:NO];
	bounceDelayFlag = TRUE;
	segmentedControl.selectedSegmentIndex = UISegmentedControlNoSegment;
	
	whichViewController = whatToDo;
	
	switch(whichViewController)
	{
		case 0:
			[appDelegate.soundEngine playSound : @"plik" ];
			[self.view addSubview:firstViewController.view ];
			break;
		case 1:
			[appDelegate.soundEngine playSound : @"plik" ];
			[self.view addSubview:secondViewController.view ];
			break;
		case 2:
			[appDelegate.soundEngine playSound : @"plik" ];
			[self.view addSubview:thirdViewController.view ];
			break;
		case 3:
			[appDelegate.soundEngine playSound : @"plik" ];
			[self.view addSubview:fourthViewController.view ];
			break;
 
	}
	
}

 
 


// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
	
	AppDelegate *appDelegate = (AppDelegate*)[[UIApplication sharedApplication] delegate];
		
    return   appDelegate.shouldRotate;
}

- (void)didReceiveMemoryWarning {
	// Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
	
	// Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
	// Release any retained subviews of the main view.
	// e.g. self.myOutlet = nil;
}


- (void)dealloc {
    //[super dealloc];
}

@end
