//
//  SoundEffect.h
//  Push
//
//  Created by five march on 2/21/10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import <UIKit/UIKit.h>
#include <AudioToolbox/AudioToolbox.h>

@interface SoundEffect : NSObject {

	CFURLRef		soundFileURLRef;
	SystemSoundID	soundFileObject;

	NSString *soundName;
}

@property (nonatomic, retain) NSString *soundName;
@property (readwrite)	CFURLRef		soundFileURLRef;
@property (readonly)	SystemSoundID	soundFileObject;

-(id) initWithContentsOfFile:(NSString *)path; 
-(void)play;
-(NSString*)getMySoundName;

@end
