//
//  ShakingViewController.h
//  Shaking
//
//  Created by five march on 1/10/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "AppDelegate.h"

#import "FirstViewControllerP.h"
#import "SecondViewControllerP.h"
#import "ThirdViewControllerP.h"
#import "FourthViewControllerP.h"

#import "BackgroundP.h"

@interface ShakingViewControllerP : UIViewController < UIAccelerometerDelegate >{

	UIAccelerationValue accelerationX;
    UIAccelerationValue accelerationY;
	UIAccelerationValue accelerationZ;
	
	UIView * baseView;
	UIImageView* imageOnBackGround;
	
	UILabel *mainlabel;
	int myHeighHit;
	int myLowHit;
	int timerCounter;
	
	NSTimer *mainTimer;
	NSTimer *delayTimer;
	
	BOOL bounceDelayFlag;
	
	BackgroundP *backgroundViewControllerP;
	
	FirstViewControllerP *firstViewController;
	SecondViewControllerP *secondViewController;
	ThirdViewControllerP *thirdViewController;
	FourthViewControllerP *fourthViewController;
	
	int whichViewController;
	
	UISegmentedControl* segmentedControl;
	
}
@property (nonatomic, retain) UISegmentedControl* segmentedControl;

@property (nonatomic, retain) BackgroundP *backgroundViewControllerP;

@property (nonatomic, retain) FirstViewControllerP *firstViewController;
@property (nonatomic, retain) SecondViewControllerP *secondViewController;
@property (nonatomic, retain) ThirdViewControllerP *thirdViewController;
@property (nonatomic, retain) FourthViewControllerP *fourthViewController;

@property (nonatomic, retain) NSTimer *mainTimer;
@property (nonatomic, retain) NSTimer *delayTimer;

@property (nonatomic, retain) UILabel *mainlabel;
@property (nonatomic, retain) UIView * baseView;
@property (nonatomic, retain) UIImageView *imageOnBackGround;
@property int myHeighHit, myLowHit, timerCounter;
@property BOOL bounceDelayFlag;
@property int whichViewController;

- (void)onTimerDelay;
- (void)onTimerMain;

- (void)addTextField1;

- (void)setWhatToDo:(id)sender;
- (void)createControls;

@end

