    //
//  Background.m
//  Shaking
//
//  Created by five march on 2/23/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import "Background.h"
#import "MyViewController.h"
#import "MyViewLandscape.h"

@implementation Background

@synthesize viewControllerPortrait, viewControllerLandscape, nibFileNumber;


 // The designated initializer.  Override if you create the controller programmatically and want to perform customization that is not appropriate for viewDidLoad.

 


// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad {
    [super viewDidLoad];

    //NSLog(@"loadview background"  );
    
	self.nibFileNumber = 5;
	
	MyViewLandscape *controller1 = [[MyViewLandscape alloc] initWithPageNumber:nibFileNumber];
	self.viewControllerLandscape = controller1;
 
	MyViewController *controller = [[MyViewController alloc] initWithPageNumber:nibFileNumber];
	self.viewControllerPortrait = controller;
	[self.view addSubview: controller.view];
 
	[self findNumberedNIBFile:5 ];
	
	 AppDelegate *appDelegate = ( AppDelegate*)[[UIApplication sharedApplication] delegate];
	if( appDelegate.shouldRotate == YES ){
		[[UIDevice currentDevice] beginGeneratingDeviceOrientationNotifications];
		[[NSNotificationCenter defaultCenter] addObserver:self selector:@selector(orientationChanged:)
													 name:UIDeviceOrientationDidChangeNotification object:nil];
	} 
 
	
}

-(void) findNumberedNIBFile: (NSInteger) page
{
	NSLog(@"background %d", page );
	[viewControllerPortrait.view removeFromSuperview];
	[viewControllerLandscape.view removeFromSuperview];
	UIDeviceOrientation deviceOrientation = [UIDevice currentDevice].orientation;
	if (UIDeviceOrientationIsLandscape(deviceOrientation)  )
	{
		MyViewLandscape *controller = [[MyViewLandscape alloc] initWithPageNumber:page];
		self.viewControllerLandscape = controller;
		[self.view addSubview: controller.view];
		//[controller release];
		
	}
	else if (deviceOrientation == UIDeviceOrientationPortrait || deviceOrientation == UIDeviceOrientationPortraitUpsideDown )
	{
		MyViewController *controller = [[MyViewController alloc] initWithPageNumber:page];
		self.viewControllerPortrait = controller;
		[self.view addSubview: controller.view];
		//[controller release];
	}   
}

- (void)orientationChanged:(NSNotification *)notification
{
	
	//AppDelegate *appDelegate = (AppDelegate*)[[UIApplication sharedApplication] delegate];
	//if( appDelegate.shouldRotate == YES ){
	
		NSLog(@"background load nib"  );
		[self findNumberedNIBFile:nibFileNumber ];
		
	//}
}
 

/*
// Implement loadView to create a view hierarchy programmatically, without using a nib.
- (void)loadView {
}
*/

/*
// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad {
    [super viewDidLoad];
}
*/


- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Overriden to allow any orientation.
	
	AppDelegate *appDelegate = (AppDelegate*)[[UIApplication sharedApplication] delegate];
    return appDelegate.shouldRotate;
}


- (void)didReceiveMemoryWarning {
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Release any cached data, images, etc. that aren't in use.
}


- (void)viewDidUnload {
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}


- (void)dealloc {
    //[super dealloc];
}


@end
