//
//  ShakingViewController.h
//  Shaking
//
//  Created by five march on 1/10/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "AppDelegate.h"

#import "FirstViewController.h"
#import "SecondViewController.h"
#import "ThirdViewController.h"
#import "FourthViewController.h"

#import "Background.h"

@interface ShakingViewController : UIViewController < UIAccelerometerDelegate >{

	UIAccelerationValue accelerationX;
    UIAccelerationValue accelerationY;
	UIAccelerationValue accelerationZ;
	
	UIView * baseView;
	UIImageView* imageOnBackGround;
	
	UILabel *mainlabel;
	int myHeighHit;
	int myLowHit;
	int timerCounter;
	
	NSTimer *mainTimer;
	NSTimer *delayTimer;
	
	BOOL bounceDelayFlag, startNumber;
	
	Background *backgroundViewController;
	
	FirstViewController *firstViewController;
	SecondViewController *secondViewController;
	ThirdViewController *thirdViewController;
	FourthViewController *fourthViewController;
	
	int whichViewController;
	
	UISegmentedControl* segmentedControl;
	
}
@property (nonatomic, retain) UISegmentedControl* segmentedControl;

@property (nonatomic, retain) Background *backgroundViewController;

@property (nonatomic, retain) FirstViewController *firstViewController;
@property (nonatomic, retain) SecondViewController *secondViewController;
@property (nonatomic, retain) ThirdViewController *thirdViewController;
@property (nonatomic, retain) FourthViewController *fourthViewController;

@property (nonatomic, retain) NSTimer *mainTimer;
@property (nonatomic, retain) NSTimer *delayTimer;

@property (nonatomic, retain) UILabel *mainlabel;
@property (nonatomic, retain) UIView * baseView;
@property (nonatomic, retain) UIImageView *imageOnBackGround;
@property int myHeighHit, myLowHit, timerCounter;
@property BOOL bounceDelayFlag, startNumber;
@property int whichViewController;

- (void)onTimerDelay;
- (void)onTimerMain;

- (void)addTextField1;

- (void)setWhatToDo:(id)sender;
- (void)createControls;

@end

