//
//  ShortSound.m
//  grungeGolf
//
//  Created by five march on 6/23/09.
//  Copyright 2009 __contrechoc.com__. All rights reserved.
//

#import "ShortSound.h"

@implementation ShortSound

@synthesize soundArray;


- (id) init{
	
	self = [super init];
	soundArray = [[NSMutableArray alloc]init];

	[soundArray addObject:[[SoundEffect alloc]initWithContentsOfFile:@"boei"]];
	[soundArray addObject:[[SoundEffect alloc]initWithContentsOfFile:@"plik"]];
	[soundArray addObject:[[SoundEffect alloc]initWithContentsOfFile:@"hit"]];
	[soundArray addObject:[[SoundEffect alloc]initWithContentsOfFile:@"sis"]];


	return self;
}

-(void)playSound: (NSString *) soundName {
		int i;
		for(i=0;i< soundArray.count;i++){
			SoundEffect *soundFromArray = [ soundArray objectAtIndex:i ];
			NSString *soundNameFromArray = [ soundFromArray getMySoundName];
			if ( ![soundNameFromArray compare:soundName ])
					[soundFromArray play];
		}
}

-(void) dealloc
{
	//[super dealloc];
}

@end
