//
//  SoundEffect.m
//  Push
//
//  Created by five march on 2/21/10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import "SoundEffect.h"


@implementation SoundEffect

@synthesize soundName;
@synthesize soundFileURLRef;
@synthesize soundFileObject;

- (id) initWithContentsOfFile:(NSString *)path;
{
	self = [super init];
	if (self != nil) {
		
		soundName = path;
		
		CFBundleRef mainBundle;
		mainBundle = CFBundleGetMainBundle ();
		
		soundFileURLRef  =	CFBundleCopyResourceURL (
													 mainBundle,
													 (__bridge CFStringRef) soundName,
													 CFSTR ("caf"),
													 NULL
													 );

		AudioServicesCreateSystemSoundID (
										  soundFileURLRef,
										  &soundFileObject
										  );
	}
	return self;
}

-(NSString*)getMySoundName{
	
	return soundName;
}


-(void)play { 

	AudioServicesPlaySystemSound(soundFileObject); 
}



@end
